API referencePublished posts

POST /posts/{id}/unpin

Unpin the published post. Queued for approval (202) while approval applies

POST
/posts/{id}/unpin

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Postgale post id

Request Body

application/json
  1. body
accountId?string

Connected account id (must belong to the key's organization)

Response Body

{postId, accountId, platform, pinned}

application/json
  1. response
postId?string
accountId?string
platform?string
pinned?boolean
Example Request
curl -X POST 'https://example.com/api/v1/posts/string/unpin' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "postId": "string",  "accountId": "string",  "platform": "string",  "pinned": true}